aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-12 17:38:10 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-12 17:38:10 -0500
commiteb56ecd45379868a953bcbc3bcdbf79d79596189 (patch)
tree4cca41b574b244a97a98a508e5ebb24c9e392330
parent71ccef2197237e7339352069a6b5f35a60599745 (diff)
Add chapter 10 section and pass disk, partition and filesystem variables to chroot.
-rw-r--r--insidechroot.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/insidechroot.sh b/insidechroot.sh
index 35cc244..0c917ab 100644
--- a/insidechroot.sh
+++ b/insidechroot.sh
@@ -62,6 +62,20 @@ elif [[ "${CHAPTER}" -eq 9 ]]; then
printf "%b" "${GRN}Configuring system shells${RST}\n"
source chapter9/shells.sh
+elif [[ "${CHAPTER}" -eq 10 ]]; then
+
+ # Chapter 10
+ printf "%b" "\n${IWHT}============ ${IGRN}Building ${IYLW}Chapter 10${IWHT} \
+============${RST}\n"
+
+ printf "%b" "${GRN}Creating fstab configuration${RST}\n"
+ source chapter10/fstab.sh
+# source packageinstall.sh 10 linux
+ retval=$?
+ if [[ "${retval}" -ne 0 ]]; then
+ exit 1
+ fi
+
else
- printf "%b" "Do Chapter 10 stuff here.\n"
+ printf "%b" "Do \"The End\" stuff here.\n"
fi